summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-28 19:41:01 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-28 19:41:01 +0000
commitae93b32c928808b6976440052ec33868e6f55f88 (patch)
tree44822767c41683ac6858c0f3a44157f2f1ced4ef /dev-python
parentb21cc401f01a6b9b7385726d0c0095e92192025c (diff)
downloadbaldeagleos-repo-ae93b32c928808b6976440052ec33868e6f55f88.tar.gz
baldeagleos-repo-ae93b32c928808b6976440052ec33868e6f55f88.tar.xz
baldeagleos-repo-ae93b32c928808b6976440052ec33868e6f55f88.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/bleach/Manifest1
-rw-r--r--dev-python/bleach/bleach-6.3.0.ebuild53
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.40.60.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.40.60.ebuild67
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.40.3.ebuild61
-rw-r--r--dev-python/clang/Manifest1
-rw-r--r--dev-python/clang/clang-22.0.0_pre20251028.ebuild53
-rw-r--r--dev-python/eradicate/Manifest1
-rw-r--r--dev-python/eradicate/eradicate-3.0.1.ebuild25
-rw-r--r--dev-python/google-api-core/Manifest1
-rw-r--r--dev-python/google-api-core/google-api-core-2.28.0.ebuild60
-rw-r--r--dev-python/html5lib/Manifest2
-rw-r--r--dev-python/html5lib/html5lib-1.2_pre20240221.ebuild52
-rw-r--r--dev-python/inline-snapshot/Manifest2
-rw-r--r--dev-python/inline-snapshot/inline-snapshot-0.31.0.ebuild62
-rw-r--r--dev-python/insipid-sphinx-theme/Manifest3
-rw-r--r--dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.4.ebuild (renamed from dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild)7
-rw-r--r--dev-python/ipykernel/Manifest1
-rw-r--r--dev-python/ipykernel/ipykernel-7.1.0.ebuild87
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/lark/Manifest1
-rw-r--r--dev-python/lark/lark-1.3.1.ebuild38
-rw-r--r--dev-python/legacy-cgi/Manifest2
-rw-r--r--dev-python/legacy-cgi/legacy-cgi-2.6.4.ebuild23
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-22.0.0_pre20251028.ebuild45
-rw-r--r--dev-python/narwhals/Manifest4
-rw-r--r--dev-python/narwhals/narwhals-2.10.0.ebuild (renamed from dev-python/narwhals/narwhals-2.8.0.ebuild)0
-rw-r--r--dev-python/pyfakefs/Manifest2
-rw-r--r--dev-python/pyfakefs/pyfakefs-5.10.1.ebuild (renamed from dev-python/pyfakefs/pyfakefs-5.9.2.ebuild)2
-rw-r--r--dev-python/pypugjs/Manifest1
-rw-r--r--dev-python/pypugjs/pypugjs-6.0.1.ebuild53
-rw-r--r--dev-python/pyspelling/Manifest2
-rw-r--r--dev-python/pyspelling/pyspelling-2.12.ebuild (renamed from dev-python/pyspelling/pyspelling-2.10.ebuild)5
-rw-r--r--dev-python/redis/Manifest1
-rw-r--r--dev-python/redis/redis-7.0.1.ebuild114
-rw-r--r--dev-python/structlog/Manifest2
-rw-r--r--dev-python/structlog/structlog-25.5.0.ebuild28
44 files changed, 918 insertions, 30 deletions
diff --git a/dev-python/bleach/Manifest b/dev-python/bleach/Manifest
index 53e84097d5a0..09beae4367fd 100644
--- a/dev-python/bleach/Manifest
+++ b/dev-python/bleach/Manifest
@@ -1 +1,2 @@
DIST bleach-6.2.0.tar.gz 203083 BLAKE2B bd570cc330d02ce1340f326b480827d6a4f522975562b7e78edd1505ec78bdeba6e9233819fc1703a0ad009b23975032fabbaa8c4c5242fa91a94a4f2de93ff3 SHA512 2a5059076756bfe528221bd719a00b1221ae9e07644b53232b268e078ab0d37fb25f6fdd292d39bcc711dcbe771a21dad6549ec1b27dc7d7de6852f85228c48c
+DIST bleach-6.3.0.tar.gz 203533 BLAKE2B b81c1337155f43ed2dcaff0fe91035b65a4d44b3916f53a29353a9fd18d623e9908db7218dc59589a487d978933dd2680c2e82ab78cb14f64c8d674542ecc248 SHA512 8ebf85f78f7daae90db91e54f368fcc36dde8d93f04cbe469e861d76c55c52d147e756a9d0198e01b3cd93aca966fdaf4d5d35bd2ed3c731e772ed67d5d484a3
diff --git a/dev-python/bleach/bleach-6.3.0.ebuild b/dev-python/bleach/bleach-6.3.0.ebuild
new file mode 100644
index 000000000000..f19ce3fdd409
--- /dev/null
+++ b/dev-python/bleach/bleach-6.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An easy whitelist-based HTML-sanitizing tool"
+HOMEPAGE="
+ https://github.com/mozilla/bleach/
+ https://pypi.org/project/bleach/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.2_pre20240221[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/bleach-6.0.0-py39.patch
+)
+
+EPYTEST_DESELECT=(
+ # this package is not really maintained anymore
+ 'tests/test_parse_shim.py::test_urlparse[\t :foo.com \n-expected8]'
+ 'tests/test_parse_shim.py::test_urlparse[ foo.com -expected9]'
+)
+
+src_prepare() {
+ # unbundle unpatched broken html5lib
+ rm -r bleach/_vendor || die
+ sed -i -e 's:bleach\._vendor\.parse:urllib.parse:' \
+ bleach/parse_shim.py || die
+ sed -i -e 's:bleach\._vendor\.::' \
+ bleach/html5lib_shim.py \
+ bleach/sanitizer.py \
+ tests/test_clean.py || die
+ # indirect html5lib deps
+ sed -i -e '/webencodings/d' setup.py || die
+ rm bleach/six_shim.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f4ad4da11168..a48edbf5a654 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.40.45.gh.tar.gz 1007074 BLAKE2B b6b36715046fc1468ad02770b31c88276d3
DIST boto3-1.40.50.gh.tar.gz 1009112 BLAKE2B a5c1be6c13cacb8b0fa1a7b4c64a9fec9caabd6b17ba9cdceb45da4954e21d4020a707d72eb2de52e8d83b78990adf5ce8a82dc166d84f5e98fa5289304dadee SHA512 7955190f7a55b47293b25b15e1b5c86e79a3a468aba20999a114de99df3af57cf6a2d23acbc90dde056aa2f557db938fa8f6638d3de939009b6a6ec69d691a18
DIST boto3-1.40.55.gh.tar.gz 1013401 BLAKE2B 86de575af2244a1b6ec317dac61a71ba2b5eee42f28ca3b3d1ded552cbad10bb22e96ae6bf49212be0ee5fb220342a8829213fff9ec19ce046aae0262f791ee9 SHA512 b9fe63173e21303d688add1a519b589072313d9f62d474418a0f99eee50a92d595e36e4f1d9cd8259884c9c4c21b29c55242c9583c21b7e8a4f0bdcd76c79841
DIST boto3-1.40.59.gh.tar.gz 1017517 BLAKE2B 31511c062e6991ba14b7bc7227f4b4a214da5bc6dd012139cebaeb53a34ad540a80b5216495b2796d34f6ad91fc135837c830d9151fb34aba15d6d1c552c415d SHA512 90cc90f03e743c57ddc195a2ff10282d3c99851b54cd475da95bb3eb120449b0c0aa59d920baf206142e151eba0250aad5fa9c1a6c1be9e550ea1be5b69f8566
+DIST boto3-1.40.60.gh.tar.gz 1018793 BLAKE2B ca54b65452be655415525c6cc69bc062b2064121ddaffd24c8c731f9a92832cb5c8c9f485c4ee99efcaf8a382d6c050eb8ce3fffb87be808b906bc5b017744f9 SHA512 723930c064cad326a8b7ad07ba898a58a25da8bb49bb70e4b01f0af76c4a309ccf741c379eb52c0067a8867f960587f3c2fef74a3101039abbb33d5486841c91
diff --git a/dev-python/boto3/boto3-1.40.60.ebuild b/dev-python/boto3/boto3-1.40.60.ebuild
new file mode 100644
index 000000000000..cb388ebe6570
--- /dev/null
+++ b/dev-python/boto3/boto3-1.40.60.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.14.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d5fd3806428b..62be707f2d2a 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.40.45.gh.tar.gz 15197014 BLAKE2B 6b44913005d75f22b0ff993b1fea47a
DIST botocore-1.40.50.gh.tar.gz 15222465 BLAKE2B 626b040c06531d96c1e0276e4bf6a70747b2c8184d9178b24333b1b7e91e833175114d31e7ee1b48b83597b22b2869132b50f3834a4bdaa082a111a7a9f41a10 SHA512 91ac7467c8b1cc58d2b29a0bb34d7374a7c8987eb73caccc3b3becb782995d64a874d099ea74a5e0c046d0aae2497211a0a84d3a8e7f42efc1252fa6ab517872
DIST botocore-1.40.55.gh.tar.gz 15255349 BLAKE2B 22516d43d5737d92bbead967a13b4ce72fc6d35d928f9ac6d9906505412813b1649a5b5e73d14f90d7650682568ca3545e4b4b70b9908570725f4c3e2a4adaee SHA512 175dafe4d80c9283cfd4e81d74e59ad694356438b1a32c765baa78686b2afeb3f7e6083e76cdf488efcec0fbfb26967a408cb9a9cb48d0a0feb37977254a14a6
DIST botocore-1.40.59.gh.tar.gz 15284317 BLAKE2B f0e5b5ac06292c003ac6dcf0d8b4098b12cdeb2ea5ef8158aa1ce20000730e8f0bfb65a5156f64decaec9ef2d144f3aebbad1e2f2389e80d6d3cdef24f735f2e SHA512 04aabb134f24782274c3b44b0addc45523e36216372e07da271d282968200b66785c4ca92754a79a0ae26fc93c2448e032f0e498552eb8b344c618cd2be2221a
+DIST botocore-1.40.60.gh.tar.gz 15285623 BLAKE2B e543690a177697da826ced0fba584f996bba0083faa6db005d044280594feec33bc091223eb0cedafde722180a62e8f07c36464743f4e6a927f69245696d30ba SHA512 06bffc6051a6f7a3d2da55a85a80c38701c1db846f64ce6b86e961154240fb1ec1cd1f7816efe1ec01f0d5cf0f9140efa98a2c682ca5eb083da39b99d8678f79
diff --git a/dev-python/botocore/botocore-1.40.60.ebuild b/dev-python/botocore/botocore-1.40.60.ebuild
new file mode 100644
index 000000000000..ee8074e67dce
--- /dev/null
+++ b/dev-python/botocore/botocore-1.40.60.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index abc548bd6752..d8c03cf26b55 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -2,3 +2,4 @@ DIST cfn_lint-1.39.1.tar.gz 3250565 BLAKE2B 8cae83fc090a5208e24d85270085fe7ab271
DIST cfn_lint-1.40.0.tar.gz 3359732 BLAKE2B adcefc474df4c05558acf69892daf8335cca39b979221cdec82de9e7b58409b1c9e980bfd1becb65b3a84fd41933ec5ece2199c698b3987499694758a9289a82 SHA512 0da2b29ab549c4422b5c2cc0c51d54308f9dd7990061e39654fa3a08c75c63e44e36b133e292757f1bb13121003791cb33409c404ec201da8718421da89a0d4f
DIST cfn_lint-1.40.1.tar.gz 3321409 BLAKE2B 1e220b53f2bebc78dafb5b1edc84a078e59e33391f8534a8fa6e9d17c41dbc14ef10db9554cc743aca68354f2f09d16a11753255a0250cf8c85d0ff21b860acc SHA512 b1e74debb054ffdd149af632fc776bb912235a0d95681f878144e51b35732f4debf6193db1c7e9c5539cd899aac0cdd312da21ad9cf75e471cffadb9609ca307
DIST cfn_lint-1.40.2.tar.gz 3352309 BLAKE2B ae10b4cf4039d3da96a37250d74d03284989c9439f7aee483c2aff8c233250dc1f60680fa6130943b1b684f858edf1995004baec5fd577deccb04194558ca516 SHA512 118843ae523a795d59587edda4a5bbbfed78e1617da9547fef0f6e1508d5575952ae4217a63e97d9c6f56221f3de2f64d251ff4b7e1728b168a760af4cfe39f2
+DIST cfn_lint-1.40.3.tar.gz 3426494 BLAKE2B 7545e83cdc1cc59a6990fa16839d449db2c6c8077a35f24c1d43bfdeec46b5689fd99f2da4251a211e95409d0d9c37325ebafb7ec87d7f975453a3ce7270c3d2 SHA512 683a9a17b668175b75858afafbb301ba0556ff6941698681eff1d1c7bad9787a8a7ecba3521c4554f2267c07f7f9ad6b7a1848feedcd0d0a5a24180053f62692
diff --git a/dev-python/cfn-lint/cfn-lint-1.40.3.ebuild b/dev-python/cfn-lint/cfn-lint-1.40.3.ebuild
new file mode 100644
index 000000000000..5a4087d65a4f
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.40.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.97.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-77.0.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # different line wrapping somehow
+ test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # TODO: suddenly started failing in older versions too
+ # https://github.com/aws-cloudformation/cfn-lint/issues/4207
+ test/integration/test_good_templates.py
+ test/unit/module/override/test_exclude.py::TestExclude::test_success_run
+ test/unit/module/test_api.py::TestLintFile::test_good_template
+ test/unit/module/test_rules_collections.py::TestRulesCollection::test_success_run
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest
+}
diff --git a/dev-python/clang/Manifest b/dev-python/clang/Manifest
index 46b78c9b4e11..8dd1575a304f 100644
--- a/dev-python/clang/Manifest
+++ b/dev-python/clang/Manifest
@@ -14,3 +14,4 @@ DIST llvm-project-21.1.4.src.tar.xz 158939036 BLAKE2B b87eff4e3cb881d86aafcfdb46
DIST llvm-project-21.1.4.src.tar.xz.sig 119 BLAKE2B c74a56448ad3e325234fcbe7d62ea888831e1e7696afb5aa5a185ea76a0880abe2d755f9e69a07760bbf9380534c3bb96c920ed6359ffd0f5f51c962d1494dcf SHA512 4812c2e3861aa3b726d842c3ca259b19ef1aa531fed9f6f47099483de91de2b2a165f40d243f6f40f2eea749741d5f8b7090f394399c56db02053f308921077a
DIST llvm-project-57a8599d14d4685487064e8b8a5c748970daa4d6.tar.gz 250938364 BLAKE2B 793d84c9716cb392667f84005048d549c96cbdbe666b52025c4f3fbd59d47d0b8b1d2485fe5ea52dfb67b6617e97b17197b208dc0d6744468475e459d0193b6d SHA512 06a2dfd70fc7a0bc772a67cc2eb5fe25cf5a170a3e0e07dfa284aaf5f4d90337a66ff026843c7798ed6bbdca84aa42428a9a9caf7ceba354665d2cd811ae84e6
DIST llvm-project-6a0e5b2fd7c340a872ae1e011cfb9de0d188feba.tar.gz 249848364 BLAKE2B 5d8eadfd43e1a131d7c061968c7d306b0537c0983c9366973d5b8d1bab4b384d1319604e12f097e235e077aefcd8b9c8395c3e16b53612f9f06fb11ba358aad6 SHA512 d931218ca1dafab09525f862f4b993cb6dde2f8738092e84b87542318d05c81fd41499098833f8629501c19f4fa741a35fc6447631f1c8830b2bb0b2cb64cc43
+DIST llvm-project-c1779f33bdada6e478e882cc23a647ef9abaad96.tar.gz 253250521 BLAKE2B fbd40cb52d56d5a817ff6cb469b9772af4eb358584eed1440c82864923add456961a672784838f510c390680a54c4abc7a33159848a34133f8d23b80b5feb0ef SHA512 01f8944ee6c89fd4a56caab236b302bc6b49b933c968a73edcb00ae2522b884371a05a75dec1321b0efed24e20cde4a58e1697c3c097f26ed0fbd629d8cf561c
diff --git a/dev-python/clang/clang-22.0.0_pre20251028.ebuild b/dev-python/clang/clang-22.0.0_pre20251028.ebuild
new file mode 100644
index 000000000000..af521b577efd
--- /dev/null
+++ b/dev-python/clang/clang-22.0.0_pre20251028.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for llvm-core/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=llvm-core/clang-${PV}:*
+ !llvm-core/llvm:0[clang(-),python(-)]
+ !llvm-core/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ llvm-core/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/{bindings/python,include} )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/eradicate/Manifest b/dev-python/eradicate/Manifest
index 61c4c8513266..e79ce8bc4f5c 100644
--- a/dev-python/eradicate/Manifest
+++ b/dev-python/eradicate/Manifest
@@ -1 +1,2 @@
DIST eradicate-3.0.0.gh.tar.gz 9189 BLAKE2B 23baa742fc682f3ad0e1a57f09c45920191a9081992d69cc85b0d48477421199617ccc538beaabb6118efd34de8754cc89b766c8412a6d6ee4d38c5240270688 SHA512 1630003832ba2c2abddb595f6c4df25fd89a02f92f4b1a39d06d4e0c04ffaf61634a11ddb8137e1072877fe199f46783ea07fc7b7ecc11c49b79041dba76466c
+DIST eradicate-3.0.1.gh.tar.gz 9197 BLAKE2B 46d0cb0538f94e3086931bf9a6b4a741014edec4445bc692ed3f89d6b79b4033a673430be40aa1813a992742e982a1b875385040b9b0d4812dce3eb86a8fefd3 SHA512 623ce5431f93ba0f4b9cb1bdf18411ae9df98df770c0551d72175b3f910ee64dff9faadda27625651f653b1029a6144b8f331805ec11627cf5dff0c73319d863
diff --git a/dev-python/eradicate/eradicate-3.0.1.ebuild b/dev-python/eradicate/eradicate-3.0.1.ebuild
new file mode 100644
index 000000000000..c23057891453
--- /dev/null
+++ b/dev-python/eradicate/eradicate-3.0.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Removes commented-out code from Python files"
+HOMEPAGE="
+ https://github.com/PyCQA/eradicate/
+ https://pypi.org/project/eradicate/
+"
+SRC_URI="
+ https://github.com/PyCQA/eradicate/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests unittest
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 9b34272e191f..9de1fa4ca5ab 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -2,3 +2,4 @@ DIST python-api-core-2.25.1.gh.tar.gz 210551 BLAKE2B 32f631ba3ecc01d9c903add3725
DIST python-api-core-2.25.2.gh.tar.gz 211677 BLAKE2B 7c3b6a0429b20e2baca8f1c3ebab77c5956807be9deb8676b5af3ca8880b7275693bda07d81aeb8a6388ec03299e853311079e6ef5b6f8125a6855772d60e9cf SHA512 24f2715f8ef52318619d076416975644c888d1d7ee4967de885ba975a3ff5519c0b2a69ee9995054f19e301340bbaacf1784f7d2364d04c42c1992acb1f9b8f7
DIST python-api-core-2.26.0.gh.tar.gz 211768 BLAKE2B 3627be291d578661823703595eb94b705c594ec50b4212470e529f5a953778734f4e8765578ef09bba8fde5c08687b4e4e92509cba539e74e289c7cc62279dda SHA512 afa2e82f88f833be1d17011333eb92f4fe94dd69e118e1a2c4312181a4a4db560245990ec90886db5e9059a3db9b3f5d067c152162d9d17c8f8a6424d392e8eb
DIST python-api-core-2.27.0.gh.tar.gz 214453 BLAKE2B feadaee8419d810ccc26278385649b5b57f57668389542a6910ab2a32baa65577720c2de357ac4f5a70dc7191da268f0c7fd369d1d5a324f60ea0d7f4de44df1 SHA512 f73959098e1ea5e1e3e0fc341fe486334516aa04e1be1249f9c01d164cca27004a95b1b81f819fd5201e41bb2cfd93f57568e8d28fed427476751faf6dc2e4d2
+DIST python-api-core-2.28.0.gh.tar.gz 222177 BLAKE2B 90fae77cef9b12d8c789d4703ca47746e2f33e9c98d0eb4456f5f0017fc33a2821e5fc1642ae8c07982c07faf73a4015332e7eb3e2fa5b72d2b5a08cb70f6488 SHA512 8901f12264beaa6b2087af3055bc99900f90efecce4e407e1b5a7ede8718fb9fe5cf2cb5246ddce84693f21537a96c767a0e16ab6ebc2933d6867795fcbb6ee7
diff --git a/dev-python/google-api-core/google-api-core-2.28.0.ebuild b/dev-python/google-api-core/google-api-core-2.28.0.ebuild
new file mode 100644
index 000000000000..f990ecef2321
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.28.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-core/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+ https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-3.19.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+ epytest tests
+}
diff --git a/dev-python/html5lib/Manifest b/dev-python/html5lib/Manifest
index 24a9ed5ed3c1..7fcd259d6576 100644
--- a/dev-python/html5lib/Manifest
+++ b/dev-python/html5lib/Manifest
@@ -1 +1,3 @@
DIST html5lib-1.1.tar.gz 272215 BLAKE2B 11a4fc3fb84bf8bab4af5da1de30b0892a9eb454505716b3db391187053c9aac159b1c82ae787896592b8fc850363bba9313b9d7fc617150771c3bfa1aeadefb SHA512 af7c29591007fded99be6c38e3d0ae5a4ac32d71d26046a615918ae732cb1c1ecbf754f47ceca1a53726c3843f3ecea7af87a7362281b45ff3af495815818626
+DIST html5lib-python-fd4f032bc090d44fb11a84b352dad7cbee0a4745.gh.tar.gz 259834 BLAKE2B cf55f9fed5d7fea54966e8add3a4d1db1cbd85f5a771e38f359494b53a9b45c0d5031f561d1e57b02f8b6061bca102a2fea4997da5c05841cf30a81adbeb8742 SHA512 3965f2c5b55a805d6d6b86866315a6f776d5237ac189a70d3d33e713c744b30c471424365e400af3f3bd23348070e598f138629f5d35568954aeb9c067e84860
+DIST html5lib-tests-9b4a29c943b3c905e46b26569bae16de8b373516.gh.tar.gz 141487 BLAKE2B 4a2c0769f9e76c5e093af130427b7cf5407a11bd80670ca00013cb15a8da0f3c58cb2ea5ff526d299d9ddfbdab4a5ae9bcb6d388d4c709a573aba9d031e8b81f SHA512 8be9d913a48a498717f3931eafe64f53e5810c01451bbbbbdf80cef51e3274a3c8af523388e55c72762842b416ec5853213102998673c030229029bcfc954fce
diff --git a/dev-python/html5lib/html5lib-1.2_pre20240221.ebuild b/dev-python/html5lib/html5lib-1.2_pre20240221.ebuild
new file mode 100644
index 000000000000..5bc0bebafcd2
--- /dev/null
+++ b/dev-python/html5lib/html5lib-1.2_pre20240221.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+EGIT_COMMIT="fd4f032bc090d44fb11a84b352dad7cbee0a4745"
+# html5lib/tests/testdata
+TEST_COMMIT="9b4a29c943b3c905e46b26569bae16de8b373516"
+MY_P=html5lib-python-${EGIT_COMMIT}
+TEST_P=html5lib-tests-${TEST_COMMIT}
+
+DESCRIPTION="HTML parser based on the HTML5 specification"
+HOMEPAGE="
+ https://github.com/html5lib/html5lib-python/
+ https://html5lib.readthedocs.io/
+ https://pypi.org/project/html5lib/
+"
+SRC_URI="
+ https://github.com/html5lib/html5lib-python/archive/${EGIT_COMMIT}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ test? (
+ https://github.com/html5lib/html5lib-tests/archive/${TEST_COMMIT}.tar.gz
+ -> ${TEST_P}.gh.tar.gz
+ )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/six-1.9[${PYTHON_USEDEP}]
+ >=dev-python/webencodings-0.5.1[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-expect )
+distutils_enable_tests pytest
+
+src_prepare() {
+ if use test; then
+ mv "${WORKDIR}/${TEST_P}"/* html5lib/tests/testdata || die
+ fi
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/inline-snapshot/Manifest b/dev-python/inline-snapshot/Manifest
index 0bcb1f28ae2b..e040d55f06fa 100644
--- a/dev-python/inline-snapshot/Manifest
+++ b/dev-python/inline-snapshot/Manifest
@@ -5,3 +5,5 @@ DIST inline_snapshot-0.30.0.tar.gz 2598970 BLAKE2B 41d4fef8d3c27037d69b1ab1b4110
DIST inline_snapshot-0.30.0.tar.gz.provenance 9291 BLAKE2B e5297037e80ec97cea84895d1aca6faa6398be2b5344dbc384f3846a1fd6545f3599a3c05d0eea0c15dc12d9e0d31fc7af0ebdf1720775a2ebcecd1af6b276a3 SHA512 de61f68d54ea64d7dfa491d04d835077ddf6f8f360124fd86f19f18fa00af5adf38d05e33adf1da58b78a2c72747dfda23ae1dbf03e16c6bad240c1e09a08039
DIST inline_snapshot-0.30.1.tar.gz 2599126 BLAKE2B 34f1ed7e758b908eb91e2018ae3a626016fd3e4b0c2cfb0bbae2eec14b376c1aab36b67ecc1624e5dd48b5bb9f67762215b2420360e40c8b55c60b07c7c5a100 SHA512 44a490c0b544805927554cdfc2760e114fdd11214db3d0bab1652a2861504bd5a375126b08a598a1a6c1a5fb80cf87827f1b70877b72b2006bba0131c7a0ebdb
DIST inline_snapshot-0.30.1.tar.gz.provenance 9201 BLAKE2B 79fb91a8ad198cb419fc813fecc9d333db6b14edffb7e95ab48c2c05da921f1dba11bb81e9c66bf33604c02fdd3501551a0c84ae8acd5fd071e75826253f9d07 SHA512 d29606090e061ad8eb5539b256c170bb85cb8e7bcd1786438b9db4f4f399a9f6c224791ced9c1cf4510426c7a393c29996f2892bbf7e5455faf90320eff381d0
+DIST inline_snapshot-0.31.0.tar.gz 2600041 BLAKE2B 744da938790d64294eee36b40b28927fe28f7e7d361477969906790f4c87a7cac51322365be8f5493901cb38df91c7ffcc915cc3ff15b8f274e994247f54365b SHA512 5938c6ae0f30becd0b6ec02e85d1cdfefa51f791fe0f16018f6c278bd4535d7ba86719950d7df0378e3116492c3e24a1f1165940a75be0577e0a6c17f98fc76c
+DIST inline_snapshot-0.31.0.tar.gz.provenance 9385 BLAKE2B 16272bcd07c9fdec405a8f604cdb9bdb01a9e459367d3f397a5e0e18979a4537846915421f52d0fcf169dcc421968eae3d5c07d5f63aa828d2f324b8c2a7c7d9 SHA512 743b3df6a03a070b336206589b8a6ae2b7ce2e481bf5c44d8f0318c6ec8468558f401ff1b21a63cf12dd56bb2865e7f1023b934f9883e3af8ce9089dfe9604f6
diff --git a/dev-python/inline-snapshot/inline-snapshot-0.31.0.ebuild b/dev-python/inline-snapshot/inline-snapshot-0.31.0.ebuild
new file mode 100644
index 000000000000..0a032b3e9337
--- /dev/null
+++ b/dev-python/inline-snapshot/inline-snapshot-0.31.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/15r10nk/inline-snapshot
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Create and update inline snapshots in your Python tests"
+HOMEPAGE="
+ https://15r10nk.github.io/inline-snapshot/
+ https://github.com/15r10nk/inline-snapshot/
+ https://pypi.org/project/inline-snapshot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
+ >=dev-python/executing-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8.3.4[${PYTHON_USEDEP}]
+ >=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
+ >=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/mypy[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezer-0.4.8[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-subtests-0.11.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-{freezer,mock,subtests,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires pyright
+ 'tests/test_typing.py::test_typing_args[pyright]'
+ 'tests/test_typing.py::test_typing_call[pyright]'
+ # TODO
+ tests/test_formating.py::test_format_command_fail
+ )
+
+ local -x COLUMNS=80
+ local -x PYTHONPATH=${S}/src
+ epytest
+}
diff --git a/dev-python/insipid-sphinx-theme/Manifest b/dev-python/insipid-sphinx-theme/Manifest
index 9a5dbbbbada9..2045fb099063 100644
--- a/dev-python/insipid-sphinx-theme/Manifest
+++ b/dev-python/insipid-sphinx-theme/Manifest
@@ -1,3 +1,4 @@
-DIST insipid-sphinx-theme-0.4.2.tar.gz 73415 BLAKE2B 0f17fc5fec19926ec6e134b716ef36617e0be66d771c76237923b3f77508b1fc1fb39b790d5ac72c1cff61e4f7a484b42bd6b0eec954afac1d758284cc073ed3 SHA512 934208afcc88a72b188c64f147ff0bc6508ad1b8aa5ee061620ec53725d2a9781ea503a16fb42db3f2bcd45774d3a9f611de251f71ca0b6162cf0d6653a1a058
DIST insipid_sphinx_theme-0.4.3.tar.gz 111846 BLAKE2B b6ae6ae7fc38bc7bf024f7cbdb2ae02eaedfe96567886281d6241034829c1405e94016451f463657f1ea638e5cec57ae04d4d7517e0beb3ba177d889877b7151 SHA512 63b39f082f21cc5f5ee927dab2bb40b36605bce30399e7910927c6106dbf293b33c9e21308b338888b67ef8c823668a479fb1f4ffaeeb62401aca567fc4d8a54
DIST insipid_sphinx_theme-0.4.3.tar.gz.provenance 9552 BLAKE2B a7fbd3e8aef82372463bb335b86832c50ba0b6381f21e7d5a17d6b7ba593febe4ae2ae3ad93b0467d2e65b39855f4b30bae2a5d399db5619f9bd2c5263e80fb6 SHA512 1b6f231869c7eb8e29010cc4e7e300d99fdceb8f77a49a77474b8fe5193e8e6bd5a1048d68a713d634c8b32ac8ca065e0bd183ba467fba0cd249dfbe9cff578d
+DIST insipid_sphinx_theme-0.4.4.tar.gz 123908 BLAKE2B a02d800300173ca9bbec2412983c88d788bd272a8da55ba0cb887a63187cbdfe9f6d6899e0b817bdd79c89dfa680ea52d0712cff60f103660a76840684f94b7f SHA512 28edc4f65189821214deae504ec7585811ffecc75db70096117b74f39d41c8e653aa44919d962b9723d5ebd21e7b1d33379edc08d0f50bae69c619695a21f5b3
+DIST insipid_sphinx_theme-0.4.4.tar.gz.provenance 9685 BLAKE2B 3b7a386a84e83ee0b0116a2ecbbbac382e815c6b460b81f9a1d90867ec3b0377bfa8c8bfb555d778140f32f08bc32ef3aac7408cedd54361900cf152d4dc245b SHA512 ab3a21179c6cf67f8eed2a78e48be09ad7edc18340db6fb9f8f9aac5ed6f15d0669192e17f90280628e59904e12ba29e850e2862612384163ecda4ad6d292dcf
diff --git a/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild b/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.4.ebuild
index 8c2e04277d55..87b3a3ba09ed 100644
--- a/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild
+++ b/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.4.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
+PYPI_VERIFY_REPO=https://github.com/mgeier/insipid-sphinx-theme
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1 pypi
@@ -20,10 +20,13 @@ SLOT="0"
KEYWORDS="~amd64"
RDEPEND="
- dev-python/jinja2[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-2.11[${PYTHON_USEDEP}]
>=dev-python/sphinx-5[${PYTHON_USEDEP}]
>=dev-python/docutils-0.18[${PYTHON_USEDEP}]
"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
DOCS=( {CONTRIBUTING,NEWS,README}.rst )
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index c44538015c06..e74dd6986d64 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -2,3 +2,4 @@ DIST ipykernel-6.30.1.tar.gz 166260 BLAKE2B 77af93248f25479aae9082ef6e73dcab23b0
DIST ipykernel-6.31.0.tar.gz 167493 BLAKE2B 0cb5f208b5cc1fc2d9da971cdd63158865036006ffbe697a375bf81e7242a99f168e9b6c8cdb1a2e3da46a973a1ed8b9ab2c1455de15a33f010b78db2fd939af SHA512 3ace064d1c78eb55d6f5f201349eb4a5b64eee387ea9adf4b7ad69875e15839eaecfd1940379dee367fbbba01426454ab70dc1526a7dd7cfdb250b31340d5872
DIST ipykernel-7.0.0.tar.gz 173513 BLAKE2B 73f196645c340a22ae8b45e28fccb3c7822be88f9b28f96772a2595f48f1ca261e17560dad654077e23cb42c550d90449f778162f9fa1cb190c6b4901dad9f1d SHA512 6d56ef846f5ca964767cc05bd06100a53eb892e00071265fbaa79f34d1c8ba2645d0617f3e90a738de5432eb4e543fd4a209760351229726ca070cd9df7ad5c0
DIST ipykernel-7.0.1.tar.gz 171460 BLAKE2B 71267840af57f6764888958bea4742e6755f9e0facc9a3fe1aaac7bff83eacc1db7bd473d779a9b3fe154b2c70d0e350a7eccf3d703c94feb16cc49cfedf74a3 SHA512 dfa2f4c2e7122f79cea94b37496108dc2ffbd7f0752e32070a6b8aad50a23a09071e1fb3292d24e77ea18a44396e683bedb06bb30beb70e1b315a02c99d2db17
+DIST ipykernel-7.1.0.tar.gz 174579 BLAKE2B 61827326e033648643da186f11b9376265eb486f7eeb05140817e2377ea605079a172577c87c3b8605ba547fb9f41e72749052aa260c2e4c1f76d9a3be792e4b SHA512 5b7c7960c46a761af0d0407d66832bd78ef304c6ee7b0e2aaffd1a99fb0a32cee21480d5f436759328688d4ff2a1f0c24df0716da13260d22734b5acc41dbcb7
diff --git a/dev-python/ipykernel/ipykernel-7.1.0.ebuild b/dev-python/ipykernel/ipykernel-7.1.0.ebuild
new file mode 100644
index 000000000000..88ed3255c4a9
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-7.1.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/comm-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-client-8.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ >=dev-python/nest-asyncio-1.4[${PYTHON_USEDEP}]
+ >=dev-python/packaging-22[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.7[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-25[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.4.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+# pytest-8 runs a small subset of tests, we allow newer for 3.13
+# since a few tests are better than skipping entirely
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,rerunfailures,timeout} )
+distutils_enable_tests pytest
+
+src_prepare() {
+ # debugpy is actually optional
+ sed -i -e '/debugpy/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hangs?
+ tests/test_eventloop.py::test_tk_loop
+ # flaky
+ tests/test_eventloop.py::test_qt_enable_gui
+ # fails without pytest-cov; apparently "time-sensitive" too
+ tests/test_subshells.py::test_run_concurrently_sequence
+ )
+
+ case ${EPYTHON} in
+ python3.14)
+ EPYTEST_DESELECT+=(
+ tests/test_kernel.py::test_subprocess_{error,print}
+ )
+ ;;
+ esac
+
+ epytest
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 7100f5f39dd8..271137de443d 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2025 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/lark/Manifest b/dev-python/lark/Manifest
index 76e4a6bf548c..51bee5e75cb2 100644
--- a/dev-python/lark/Manifest
+++ b/dev-python/lark/Manifest
@@ -1,2 +1,3 @@
DIST lark-1.2.2.tar.gz 252132 BLAKE2B 175f51930972f17051af6fefdf71ef4602f126d373888f30a630a703d038abe9bb2706da80564c72f19273f7d0bfbe351ab34e9d72fa1ad9dd7181232eefe61e SHA512 77cf3abf26b827cb60eae4c193de0c98780df7dfa3daa1c21ca5d73bc16387d77561d57e8a20c69ceaeb35531b7191fe765b9834587972e2697f3f07def96b6c
DIST lark-1.3.0.tar.gz 259551 BLAKE2B 0df524ef483efeb7ab42973a1c06146e4e50fb59c489606498cc7dd8db61be76c7cf12062981cdbe9121ad98a1f892940d0b4d592d63c7d8d1563de4feab2f65 SHA512 d20191bb98e823f078359ccf2f391f9d01c80d7481d3c8061f8a6a8083f069e11029017158f773683b8e662f6cc81075f5cb4965c5fecde3956f131e3938af3d
+DIST lark-1.3.1.tar.gz 382732 BLAKE2B d08d8f73d79699f33795a46d1e8ae4aa86425e63df4dea19ce9aefaa18749bed5505f5dd657313e4d0463cd217f851494b939da7e134557f4a8f6c26321d7f42 SHA512 aee4ec6a6dd2e25801c66688861d0b25b68b7b916492764b3f8621dd70c33a93b364cb70d84ccac645cb7156892b90b503d6c79dedb9f656830c70a9b43549d0
diff --git a/dev-python/lark/lark-1.3.1.ebuild b/dev-python/lark/lark-1.3.1.ebuild
new file mode 100644
index 000000000000..51634c613380
--- /dev/null
+++ b/dev-python/lark/lark-1.3.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python module to propose a modern general-purpose parsing library for Python"
+HOMEPAGE="
+ https://github.com/lark-parser/lark/
+ https://pypi.org/project/lark/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+# dev-python/regex doesn't support pypy
+BDEPEND="
+ >=dev-python/setuptools-scm-9.2.2[${PYTHON_USEDEP}]
+ test? (
+ dev-python/atomicwrites[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/regex[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # require dev-python/js2py which is a really bad quality package
+ tests/test_nearley/test_nearley.py
+)
diff --git a/dev-python/legacy-cgi/Manifest b/dev-python/legacy-cgi/Manifest
index 5f2ec15f3d03..13e92cb0ee18 100644
--- a/dev-python/legacy-cgi/Manifest
+++ b/dev-python/legacy-cgi/Manifest
@@ -1 +1,3 @@
DIST legacy_cgi-2.6.3.tar.gz 24401 BLAKE2B 16d4004bed6b0dd62577f73b229644dfac9e8449998f2f7b4fcbc4ae62381a7f8905dd672ea811f82b530e309fb8c1408e7344d0f66daf55ddc2a4aa41bc77e1 SHA512 c36601ce88bd44f442b3cfee6070585da456caf84c49258da296ffbd20edc99bb06d5b031c96047db33a61d958812982a251f769932cb184623580da8d67a8de
+DIST legacy_cgi-2.6.4.tar.gz 24603 BLAKE2B a6ee3ce7fbeb696e67f3c2dcad3437a82a7781215b8b7fbc2872ccfc5170c48e2e67c1b3a048958dd55162545756028dba8125787197866bc06cbe41a6293218 SHA512 daeda7344bd9397c32febbc179e12fc5253ff025f3a56c3d63495a2c6551ebea23f9ea990f89ddf2666e7839a5f4e2dc78d3997970918a0dfa654d101b9464bb
+DIST legacy_cgi-2.6.4.tar.gz.provenance 9347 BLAKE2B 1a59921125580382445efb787fe7ad115ea340435a4110390abd7388e2992daf7e2527b24ec83ef7f505dda86768718a492304da39df555ff729e9e5e2fd73a4 SHA512 be5c420fb351c72bff90de5cdba944402123fc4d7febc2f8f192d6883e074a07beb03af625939d9f031ecd81fd9a962bd317da1cf3d9aafbe82bfd8d14a0087d
diff --git a/dev-python/legacy-cgi/legacy-cgi-2.6.4.ebuild b/dev-python/legacy-cgi/legacy-cgi-2.6.4.ebuild
new file mode 100644
index 000000000000..955d49e03f8f
--- /dev/null
+++ b/dev-python/legacy-cgi/legacy-cgi-2.6.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/jackrosenthal/legacy-cgi
+PYTHON_COMPAT=( python3_{13..14}{,t} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fork of the standard library cgi and cgitb modules (deprecated)"
+HOMEPAGE="
+ https://github.com/jackrosenthal/legacy-cgi/
+ https://pypi.org/project/legacy-cgi/
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 46b78c9b4e11..8dd1575a304f 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -14,3 +14,4 @@ DIST llvm-project-21.1.4.src.tar.xz 158939036 BLAKE2B b87eff4e3cb881d86aafcfdb46
DIST llvm-project-21.1.4.src.tar.xz.sig 119 BLAKE2B c74a56448ad3e325234fcbe7d62ea888831e1e7696afb5aa5a185ea76a0880abe2d755f9e69a07760bbf9380534c3bb96c920ed6359ffd0f5f51c962d1494dcf SHA512 4812c2e3861aa3b726d842c3ca259b19ef1aa531fed9f6f47099483de91de2b2a165f40d243f6f40f2eea749741d5f8b7090f394399c56db02053f308921077a
DIST llvm-project-57a8599d14d4685487064e8b8a5c748970daa4d6.tar.gz 250938364 BLAKE2B 793d84c9716cb392667f84005048d549c96cbdbe666b52025c4f3fbd59d47d0b8b1d2485fe5ea52dfb67b6617e97b17197b208dc0d6744468475e459d0193b6d SHA512 06a2dfd70fc7a0bc772a67cc2eb5fe25cf5a170a3e0e07dfa284aaf5f4d90337a66ff026843c7798ed6bbdca84aa42428a9a9caf7ceba354665d2cd811ae84e6
DIST llvm-project-6a0e5b2fd7c340a872ae1e011cfb9de0d188feba.tar.gz 249848364 BLAKE2B 5d8eadfd43e1a131d7c061968c7d306b0537c0983c9366973d5b8d1bab4b384d1319604e12f097e235e077aefcd8b9c8395c3e16b53612f9f06fb11ba358aad6 SHA512 d931218ca1dafab09525f862f4b993cb6dde2f8738092e84b87542318d05c81fd41499098833f8629501c19f4fa741a35fc6447631f1c8830b2bb0b2cb64cc43
+DIST llvm-project-c1779f33bdada6e478e882cc23a647ef9abaad96.tar.gz 253250521 BLAKE2B fbd40cb52d56d5a817ff6cb469b9772af4eb358584eed1440c82864923add456961a672784838f510c390680a54c4abc7a33159848a34133f8d23b80b5feb0ef SHA512 01f8944ee6c89fd4a56caab236b302bc6b49b933c968a73edcb00ae2522b884371a05a75dec1321b0efed24e20cde4a58e1697c3c097f26ed0fbd629d8cf561c
diff --git a/dev-python/lit/lit-22.0.0_pre20251028.ebuild b/dev-python/lit/lit-22.0.0_pre20251028.ebuild
new file mode 100644
index 000000000000..2a2c160e0038
--- /dev/null
+++ b/dev-python/lit/lit-22.0.0_pre20251028.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ llvm-core/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/narwhals/Manifest b/dev-python/narwhals/Manifest
index b6468f86677f..31ed0a2c66af 100644
--- a/dev-python/narwhals/Manifest
+++ b/dev-python/narwhals/Manifest
@@ -1,4 +1,4 @@
-DIST narwhals-2.8.0.tar.gz 574277 BLAKE2B 6aa0b9d519a5c01a6d0ed05093f2a53771d25d18db106b72499f88ec8ceea23bc6f1d3f62fb6a256ef2aa4a1c8198740125f907b6f0b6c564988faa597087f80 SHA512 2ceeac7723f692f5397e74ce16c1ba293e7686c8e89832548733208e4fa75d2a117f364c2d21504ac9a6f5e097b9178fcc2c87e85bd9db9f80221cdad3013a45
-DIST narwhals-2.8.0.tar.gz.provenance 9653 BLAKE2B 90a4af2e5780858f411ba8108b06b71085d9eb0c6fed03738d48b050490bf25286b87be7f41d2468d03b02d2ac12a60aa161d6012a15d77ed943c2695bbe7be8 SHA512 eb7ae5b01d96a99218acb630b5e57db1c7de0809c51b2cde7e48a0c0db86204064877a49d67e4f8c75e3b506d32da61fb7b523839213e4cc3a9427da2392a748
+DIST narwhals-2.10.0.tar.gz 582423 BLAKE2B e1d961d62f313075320812d2efbedf732a1a02b69f225503caa6c8b853bb659f96b86578ea3835a66e310c7a1962041bebad15e69fae80e521ad2bf7175b52c6 SHA512 5ebbf759bd19dfd055d53671fe3a8f4a7275a6f6a8e7d72bfdfe58f1019afe3fc3a41375bc751a80592eb515910ec73068ff842eb89092dd530ccc3c6a68ad0c
+DIST narwhals-2.10.0.tar.gz.provenance 9767 BLAKE2B 25f9dae99f64be6b2e5bc079922a8ce9a6bc09662cb4f86eb3ff5a6356340d1e5795150905d832a5590925f7c561e9d3ac0bca2e2aaedad52962107772c29c47 SHA512 dcd0de9ac66c812d9412badb8a366befdc98b615b24424da3af3cc05c34a899fc9e597f73376abe89390a759b90a11225e63a081135c02b5423542eaba9e1340
DIST narwhals-2.9.0.tar.gz 584098 BLAKE2B eb5a2e78e4cbc11de23a3cd758e3e70e51f83fca409964d700ff6d26fd5d403a0445fe01ae74b963ae2dc10d89707ff84276cf0df9b0646352c1e9f89d93ce5a SHA512 8d6adcf5c1f189de4b0bef1ffe87a29769d35f9a11022974104d215a3cfd99cd913d8f128e14b2ff7729b458c67c3b6822257c73c2946efa43db2fef76d5062f
DIST narwhals-2.9.0.tar.gz.provenance 9657 BLAKE2B 80e388069286c4481bcee98614a9bea360f722db6491de4cbbd594d32cb1f74140c45f2983ebaa9885739c029b11454eae6f58486aeea2c29453c53eae481173 SHA512 8688f4848cb5bd507a6266bba49d8c515c096d8a99952c81c3bdc3ff61b101b71e83f8bb1aaab6fb41c93863c9250eb36a656b9e117c37b7b394f40843db7be6
diff --git a/dev-python/narwhals/narwhals-2.8.0.ebuild b/dev-python/narwhals/narwhals-2.10.0.ebuild
index 449e85db9ce7..449e85db9ce7 100644
--- a/dev-python/narwhals/narwhals-2.8.0.ebuild
+++ b/dev-python/narwhals/narwhals-2.10.0.ebuild
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
index f14eab1a6abc..b343a486a6fb 100644
--- a/dev-python/pyfakefs/Manifest
+++ b/dev-python/pyfakefs/Manifest
@@ -1,3 +1,3 @@
DIST pyfakefs-5.10.0.gh.tar.gz 257657 BLAKE2B abf84ee4c1dab06c741eee83a6fce1f366d44d48b987f7fb79e996771e030b989c53f83a5d74c2504067b08848b359251a2e61cb177cd3f5328fa9e058201d20 SHA512 1b35cf3c0ed329e653834673bab2fbfd9d9850809b9282d5cdb90dc1a26fe39fa651778aa3ffa060b3ecccc12fcb432d45029e59b51d6f8e87fda824bbaff2cd
-DIST pyfakefs-5.9.2.gh.tar.gz 256364 BLAKE2B 2efa560d8492075570f3e06ea254fbfa550d0edc0bde52b4c94ffeb1a0cbbe246d89d71bb3925129164140793a2ec629b41ba36675c5673781aafa6104b24370 SHA512 323ba306cf7252645eeafb33dc8c7c5c7296dc7418acac7c9c62b8673d658ad737bd1541f5b18e988d718a6442c193d30608720ece6414a1fbb6dbf464f5ddd5
+DIST pyfakefs-5.10.1.gh.tar.gz 257867 BLAKE2B 374e773d968a0a24aa1e561caf8b0d58472bca7f8f864f47c156c8b3bd8e8f5c6e55a90ee4c3473c98fc2fb8c06c44d41e34c530d61b2f0550d2f4448c60d3ac SHA512 00a46de59f1e7180848e7a66d61f6c008580c41e7bc70cf78d6bcd0e80ba67956b15b72015b5ee2f4038f27c18210952522f9f4767788da015c52a2c28fd14ac
DIST pyfakefs-5.9.3.gh.tar.gz 256673 BLAKE2B 638720a82f06a0c54298959e4f9d32195fc9ffb2bae00f21fb6c4cc93862e6cb6c5680d7c4e5340ffd6259505f1ce291fdcdbcced077ab89a2b0ba58c365e732 SHA512 5a79fc56836bd8c3416f653c3222f7d93203cff112f08b9ae357b271c695a720f65fc90a8a3bfff2b8b6168ddd8dfba0219ba8582e0f54ec4d9ce393ab55dab9
diff --git a/dev-python/pyfakefs/pyfakefs-5.9.2.ebuild b/dev-python/pyfakefs/pyfakefs-5.10.1.ebuild
index 14368a34dfb1..9d2d4ed78e00 100644
--- a/dev-python/pyfakefs/pyfakefs-5.9.2.ebuild
+++ b/dev-python/pyfakefs/pyfakefs-5.10.1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
EPYTEST_PLUGINS=( "${PN}" )
distutils_enable_tests pytest
diff --git a/dev-python/pypugjs/Manifest b/dev-python/pypugjs/Manifest
index 9432235b530f..fa7ee1db475d 100644
--- a/dev-python/pypugjs/Manifest
+++ b/dev-python/pypugjs/Manifest
@@ -1 +1,2 @@
DIST pypugjs-5.12.0.gh.tar.gz 58675 BLAKE2B cadfb20d4189058af691b32d5975fccfee35b0f4851c8f38d83370bc685369dcc75fe9250bbd089292df80dccf3ab34596ae50e2e60d9a8f62389a08d8798d58 SHA512 47460876018349b49fc04cde51cfee48f868b6364c5152dffc35ea3419f32c47ddab6789c442e4425a12d59c082e42d64ea001ef2c2df363d1fb1ec1a4e9f605
+DIST pypugjs-6.0.1.gh.tar.gz 68176 BLAKE2B c32676bfc057e24cfe844a4cb1315416d215bb71a188e67842964655940da9e3d2d877c8e37be60c6123f4f23f62d2fd3f82a2c816f2708a1d84fedcc5544286 SHA512 52d371bf4e9db18dbaa4a28ce6116b481d57f7fbeae7ff13fbe4ed6c3b3e783cd52c9a858f325fc4d22e3cfd55c2cafdf8bda5f09dc0e446050d7d4d70b9639e
diff --git a/dev-python/pypugjs/pypugjs-6.0.1.ebuild b/dev-python/pypugjs/pypugjs-6.0.1.ebuild
new file mode 100644
index 000000000000..21c8a8f9365f
--- /dev/null
+++ b/dev-python/pypugjs/pypugjs-6.0.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Pug (Jade) syntax adapter for Django, Jinja2 and Mako templates"
+HOMEPAGE="
+ https://github.com/kakulukia/pypugjs/
+ https://pypi.org/project/pypugjs/
+"
+SRC_URI="
+ https://github.com/kakulukia/pypugjs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/six-1.17.0[${PYTHON_USEDEP}]
+ >=dev-python/charset-normalizer-3.4.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/django-4.2.25[${PYTHON_USEDEP}]
+ >=dev-python/flask-2.3.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.1.6[${PYTHON_USEDEP}]
+ >=dev-python/mako-1.3.10[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.5.2[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+src_prepare() {
+ # poetry nonsense
+ sed -i -e 's:\^:>=:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+ optfeature "converting to Django output" dev-python/django
+ optfeature "converting to Jinja2 output" dev-python/jinja2
+ optfeature "converting to Mako output" dev-python/mako
+ optfeature "converting to Tornado output" dev-python/tornado
+}
diff --git a/dev-python/pyspelling/Manifest b/dev-python/pyspelling/Manifest
index 179694dccfcc..51b5c4718cd9 100644
--- a/dev-python/pyspelling/Manifest
+++ b/dev-python/pyspelling/Manifest
@@ -1,2 +1,2 @@
-DIST pyspelling-2.10.gh.tar.gz 152528 BLAKE2B 47ef182fb09bc3ec44b6c15da76f0d53266276ec807036378a3f5ae94daf98d3b3a49995ce2d12044c81743ee76d8b79547d84ae3c820be1f30161c75a654ba4 SHA512 dfe0d0c211555331dd6d97e06ce64ac2efbe5cc6172f684ca3b1802a8454b957781022375a9a53a2f522f4bd3bbf4e5892ab6be266bcfbe69c4861d95db00ab0
DIST pyspelling-2.11.gh.tar.gz 153925 BLAKE2B b0f125a7a91b946d75479e2d7e001af1fc61dc2e57454e92d3ab4faf28c69d7d12771a1f83edffa1235a4e7a3822fecdd90c7d456b75ad868ecc78182442ef1c SHA512 908e2521c6bdff749994809b87310d4153c77873be7cc9543c40857dec351d5432c23c6bf408704a913ccc0563086bf2789384c7f65a24cc89e5807b18571347
+DIST pyspelling-2.12.gh.tar.gz 154057 BLAKE2B 4abd43e5ec97a63ccf9397b64499e036e400108b0b2248c85400b3ecb96105b0e53eb845ca5c6547e7cf9f3c43f011e8606af0b91f9dfd699e37fb89c1560716 SHA512 9a50e60043fbd26510152d577ce36b098bd54d407568f53d19de11ce42f017c5cd019a402e9894da468a2831a11eee45f7271290ea37045d9636008d05e4745a
diff --git a/dev-python/pyspelling/pyspelling-2.10.ebuild b/dev-python/pyspelling/pyspelling-2.12.ebuild
index 3b1ebfd3b51f..7765ee9e3269 100644
--- a/dev-python/pyspelling/pyspelling-2.10.ebuild
+++ b/dev-python/pyspelling/pyspelling-2.12.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -27,7 +27,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 ~riscv x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
RDEPEND="
|| ( app-text/aspell app-text/hunspell )
@@ -51,6 +51,7 @@ BDEPEND="
)
"
+EPYTEST_PLUGINS=()
distutils_enable_tests pytest
python_prepare_all() {
diff --git a/dev-python/redis/Manifest b/dev-python/redis/Manifest
index ff491d12ace6..882daa885182 100644
--- a/dev-python/redis/Manifest
+++ b/dev-python/redis/Manifest
@@ -1,2 +1,3 @@
DIST redis-py-6.4.0.gh.tar.gz 4878820 BLAKE2B 672421ec98cec3c908f3980fb995433e2e52137d9e6786b43fe7d6412884e6774d234698cac96f9a96a6176e14c55cc2742b3697b70c1d9a308a8a6ee0e5b8ce SHA512 94df8fb65e991d98be6e776b8c889d73615f5b1ab8727a9b5f6982f50ef441bc2c3aff0db3383cd8001df2fd525f98513046f7a1ff7f067fc16c479aecf507ae
DIST redis-py-7.0.0.gh.tar.gz 4995205 BLAKE2B b34df08d45d78eb047d3833834065c04a8fb16a6b7fede1f6af257f16e6ca44028ef262f5f76ef2fcfb0c5bfda197643804b758fd370cc64767a8ddcc5de8909 SHA512 f1b70e066880a6f3314d4f086e95bf6bf223fea1d7bf73fd6afb43e28708ea3a68b1f3f05c747ebd48af37c5b317170448b6fd823b005174a167927d0cc3d4be
+DIST redis-py-7.0.1.gh.tar.gz 4995439 BLAKE2B 5862023741c2ceefd71733c41898d97921e679d8971cf1a806c2969db22da8f19918e71018c1b6f392030328901001f4517e86c742d885977e9477b7b56c6684 SHA512 9ce7118be02f5954e83628a1568e564afc84056a958bda9d671154499be458f4d21e1a9a268638afd04f6ed0f6f2d4943bde4fe8eef2a96fcd8406eb853a9452
diff --git a/dev-python/redis/redis-7.0.1.ebuild b/dev-python/redis/redis-7.0.1.ebuild
new file mode 100644
index 000000000000..ec83518e5181
--- /dev/null
+++ b/dev-python/redis/redis-7.0.1.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+MY_P=redis-py-${PV/_beta/b}
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ tests/test_background.py::TestBackgroundScheduler::test_run_recurring
+ # require extra redis modules that apparently aren't packaged
+ # on Gentoo
+ tests/{,test_asyncio/}test_bloom.py
+ tests/{,test_asyncio/}test_graph.py
+ tests/{,test_asyncio/}test_json.py
+ tests/{,test_asyncio/}test_timeseries.py
+ # apparently available only in "Redis Stack 7.2 RC3 or later"
+ tests/test_commands.py::TestRedisCommands::test_tfunction_load_delete
+ tests/test_commands.py::TestRedisCommands::test_tfunction_list
+ tests/test_commands.py::TestRedisCommands::test_tfcall
+ # TODO
+ tests/test_commands.py::TestRedisCommands::test_lolwut
+ tests/test_commands.py::TestRedisCommands::test_module
+ tests/test_commands.py::TestRedisCommands::test_module_loadex
+ tests/test_commands.py::TestRedisCommands::test_zrank_withscore
+ tests/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+ tests/test_commands.py::TestRedisCommands::test_xinfo_consumers
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrank_withscore
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_xinfo_consumers
+ tests/test_asyncio/test_pubsub.py::TestPubSubAutoReconnect::test_reconnect_socket_error[pool-hiredis-listen]
+ # requires sentinel?
+ tests/{,test_asyncio/}test_sentinel.py
+ # require REDIS_ENDPOINTS_CONFIG_PATH, except there's zero documentation
+ # or examples of what this is
+ tests/test_scenario/test_hitless_upgrade.py::TestPushNotifications
+ tests/test_scenario/test_maint_notifications.py::TestPushNotifications
+ )
+ local EPYTEST_IGNORE=(
+ # fails over missing certs, we don't do cluster anyway
+ tests/test_asyncio/test_cluster.py
+ # require redis_entraid
+ tests/test_asyncio/test_credentials.py
+ tests/test_credentials.py
+ # pybreaker
+ tests/test_asyncio/test_multidb
+ tests/test_asyncio/test_scenario
+ tests/test_multidb
+ tests/test_scenario
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ if has_version ">=dev-db/redis-7"; then
+ local extra_conf="
+ enable-debug-command yes
+ enable-module-command yes
+ "
+ fi
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/structlog/Manifest b/dev-python/structlog/Manifest
index 19399cbe37b4..7fa268f4fa36 100644
--- a/dev-python/structlog/Manifest
+++ b/dev-python/structlog/Manifest
@@ -1 +1,3 @@
DIST structlog-25.4.0.tar.gz 1369138 BLAKE2B 8c342b6374efa20b3064d4cb4022e5988dcce4d41a2d29f164cbb82835a808e031249e59a683b9de7996391e9880001eaa4eee362e4f820d8a205a06f97e7701 SHA512 3806cec911e68bcc8d339308f448eb2aea7395820e435ea127e61912466d46c8757e5d88b9876c41ac1f8cceacb52148fe54e6ff18904543535541b690cbf02c
+DIST structlog-25.5.0.tar.gz 1460830 BLAKE2B ae8df56e93acfdd4cc7dd8f65f940fbb2441776277500e73af45d589261c7414784513c4dd71e73f587e1a2c443ede5177cccb2018af319b192b0ed24537529d SHA512 83dc767473aadffda4fb9c883e9757795860c9eaecb1d2c92675b4656700bdff413077ab96d6025bf232168c38d307c56371f2294dd9197a1aa136918f6fd72b
+DIST structlog-25.5.0.tar.gz.provenance 9439 BLAKE2B 5118cc2180a057d24091bd53e2d33f8fb94b6821fb77a317dbaf0a8f507d399feb765ee984af8da1e17f7e8b2306ca11fc6b076279fec216db1dd0b477254943 SHA512 e08d06339111fb4ebffd118339a6acf6ad74dda994ba6fdff5e2fdb840ee6637bccbcbd61194027c87b1fcee8e225e14561f773872ea6de34f832c79e46adeed
diff --git a/dev-python/structlog/structlog-25.5.0.ebuild b/dev-python/structlog/structlog-25.5.0.ebuild
new file mode 100644
index 000000000000..3eabd1d2c9a6
--- /dev/null
+++ b/dev-python/structlog/structlog-25.5.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/hynek/structlog
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Structured Logging for Python"
+HOMEPAGE="
+ https://github.com/hynek/structlog/
+ https://pypi.org/project/structlog/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio time-machine )
+distutils_enable_tests pytest